Dolby Digital 2-channel

dScope Series III Applications Manual

The dScope can perform conformance testing of Dolby Digital 2-channel replay devices such as DVD players (in conjunction with the Dolby DVD Test DVD), or set-top-boxes (in conjunction with the equivalent .ac3 test files).

An easy-to-use script and accompanying Configurations are provided which provides a menu of all available tests, and guides you through each test. This script and the accompanying Configurations are installed automatically from the dScope's installation CD; updates may be obtained from www.prismsound.com, or by contacting Prism Sound or your local distributor. Contact details are provided in the General information section.

Details of how to get started with Dolby Digital 2-channel testing are in the Overview section.

Dolby Digital 2-channel


Overview

This document describes how to perform the two-channel tests required by Dolby Laboratories for DVD players and broadcast consumer products, as specified in the Dolby Test Procedure document, using a Prism Sound 'dScope Series III' audio analyzer. For details of the individual tests, refer to the Dolby Digital 2-channel tests reference section of this manual.

Running the tests

The dScope's Dolby Digital 2-channel tests are accessed from the Default User Bar of the dScope, under "Applications:Dolby Digital 2-channel" if that User Bar is configured, or alternatively by running the "Dolby Digital 2Ch.dss" launcher script by selecting "Run Script" from the Automation menu. The launcher script presents a tests menu, from which each test may be automatically performed, with prompting for the required tracks from the Dolby Digital Test DVD.

Additional help during testing

When starting the launcher script, the operator is prompted to select whether additional help is required in either (or both) of the following areas:

· Test methods;
· Test specifications (pass/fail limits);

If either of these is selected, then additional message boxes are generated during running of each test which describe the selected parameter(s) for that test.

Note about Reference Level

The first test listed in the tests menu is the 'Reference Level' test. This test establishes an ideal 'full-scale' amplitude reading for the Dolby Digital device under test. This level is used as a reference in most of the other tests, and so it is important that the Reference Level test is performed first. Failure to do so will result in an error message when other tests are attempted.

Collection of results

When a test from the test menu has been executed, its button becomes italicised in the test menu to indicate that it has been completed. Results of completed tests are retained by the script, and any graphical results are automatically exported to .EMF files in the 'Dolby Exports' folder within the main dScope program folder. Having completed the desired tests, the operator is asked (upon exiting from the tests menu) whether or not to create a document of the completed test results. If this option is selected, a Microsoft Word document is created containing all results and plots, also in the 'Dolby Exports' folder.

Customising the tests

This document describes the automatic execution of the Dolby Digital 2-channel tests, one at a time, from a tests menu under the control of a central 'launcher script'. The script loads a dScope Configuration for the selected test, and then starts the test, prompting the operator to play the relevant track on the test DVD. The results of each test are presented for operator scrutiny, but precise 'pass/fail' limits are not applied (principally because few limits are specified by Dolby for the tests).

Since the launcher script and Configurations are 'soft', it is possible to customise the process according to requirements. For example:

· The execution of whichever tests were required could be automated as a single operation, with track-prompts;
· Pass/fail limits could be applied, with an overall pass/fail report generated;

Note that minor or temporary changes to a test Configuration can be made manually before clicking the button to start the test.

Dolby Test Procedure document and Test DVD

The following reference document and test DVD are relevant to these tests, and are available from Dolby Laboratories:

· Dolby Digital Two-Channel Consumer Broadcast Products Test Procedure, Version 2.0, Issue 3
· Dolby Digital Test DVD, version 1.0 or 1.5

Testing devices other than DVD players

The tests provided are tailored for testing 2-channel DVD players; however, it is also possible to test other Dolby Digital 'Consumer broadcast equipment' such as set-top-boxes. In such cases it is necessary to provide test stimuli in other format than DVD, for example by using the '.ac3' files detailed in the Dolby Digital 2-channel tests reference section of this document.

Compatibility with Audio Precision System 2 test files and .ac3 files

The Dolby Test Procedure document details the Audio Precision System 2 test files for the analogue and digital domain tests. When using dScope Series III these are replaced with the equivalent dScope Configuration files, as listed below and at the beginning of each test in the Dolby Digital 2-channel tests reference section.

The .ac3 files mentioned in the Dolby Procedure are included in this document for reference. In most (but not all) cases the tracks on the DVD are the same as the .ac3 files.

Dolby accreditation

This document does NOT describe all the requirements that must be met in order to achieve accreditation from Dolby Laboratories. Please refer to Dolby documentation for full details. Note that to comply with the Dolby Laboratories' requirements, additional tests outlined in the Dolby procedure (such as listening and functional tests) must also be completed and documented.

Folder structure

On installation, the Dolby Digital 2-channel test files are contained in two folders as follows:

Configurations are in <dScope root>\Configurations\Dolby\2-channel

The launcher script, "Dolby Digital 2Ch.dss" is in <dScope root>\Scripts\Automation

The following Configurations are used during Dolby Digital 2-channel testing:

Ref Level Track 8.dsc

Max Output Level Track 72.dsc

Dialog Normalization Track 23.dsc

Dynamic Range Compression 2 Ch Track 22.dsc

Dynamic Range Compression 5 Ch Track 61.dsc

DownMix Tracks 41 and 42.dsc

Separation L Track 26.dsc

Separation R Track 27.dsc

Frequency Response Track 19.dsc

THD vs Frequency Track 19.dsc

THD vs Level Track 24.dsc

Signal to Noise Ratio Track 13.dsc

Inter-channel Phase Track 19.dsc

Eye Pattern Track 19.dsc

Jitter Spectrum Track 19.dsc

Category Code Track 19.dsc

Audio Data Bit Track 19.dsc

Overview Dolby Digital 2-channel


Dolby Digital 2-channel tests reference

The Dolby Digital 2-channel tests are described in detail in the two following sections:

Analogue domain tests

Digital domain tests

Dolby Digital 2-channel tests reference Dolby Digital 2-channel


Analogue domain tests

The following analogue domain tests are available, and are described in the following sections:

Reference Level

Maximum Output Level

Dialog Normalization

Dynamic Range Compression

Downmix

Separation

Frequency Response

THD vs Frequency

THD vs Level

Signal to Noise

Inter-channel Phase

For each test, the appropriate Track of the Dolby Digital Test DVD is listed and also, for non-DVD player testing, the Dolby test file (.ac3).

Setting up

The analogue domain tests are measured at the analogue line outputs of the EUT. Please make sure that the following connections have been made:

· Left Channel analogue output of Dolby Digital device to the dScope's Analogue Input A
· Right Channel analogue output of Dolby Digital device to the dScope's Analogue Input B

For unbalanced consumer equipment WITHOUT GROUND REFERENCE (such as portable CD or DVD players or set-top-boxes) use the RCA/PHONO–XLR adaptor provided to connect the EUT's analogue outputs to the dScope's XLR inputs rather than using the normal (ungrounded) RCA/PHONO–BNC adapter. In some cases, results may be improved by also grounding the chassis of the EUT to the dScope's front-panel chassis terminal.

If the EUT has loudspeaker outputs only, then all tests should be performed at these outputs. Note that some specifications are different in this case.

Analogue domain tests Dolby Digital 2-channel tests reference


Reference Level

dScope Configuration: | Ref Level Track 8.dsc
Track Number: | 8
Corresponding AP Test File: | Reflvl.at2
.ac3 Test File: | 2_ref2k.ac3
Duration: | 30 sec
Test Signal Description: | 997Hz at –20dBFS (L & R)

Description

The Reference Level test is used to obtain the ideal full-scale output amplitude (FS) of the EUT.

Throughout testing the ideal FS amplitude of the EUT will be used as a reference amplitude.

Method

Play Track 8 and then click the [OK] button to start the test.

The test track contains a –20dBFS sinusoidal stimulus at 997Hz. The measured amplitude at the output of the EUT is increased by 20dB and entered as the dScope's dBr reference amplitude. This value is used as the 0dBFS reference amplitude in all subsequent tests unless otherwise noted.

A 0dBFS signal is not used to establish the reference amplitude since clipping, compression or other issues may limit the EUT's output under this condition.

Specification

No specification is provided. A Reference Level of around 2V RMS might be typical for an unbalanced consumer output.

Reference Level Analogue domain tests


Maximum Output Level

dScope Configuration: | Maximum Output Level Track 72.dsc
Track Number: | 72
Corresponding AP Test File: | 2_MaxL.at2 & 2_MaxR.at2
.ac3 Test File: |
Duration: | 30 sec
Test Signal Description: | 30Hz at 0dBFS

Description

This test measures the maximum output of the EUT with a 5-channel signal.

Method

If the output level of the line output is variable, the volume control should be set to the maximum position.

Play Track 72 and then click the [OK] button to start the test.

The test plots the left and right channel amplitudes against time for the duration of the test track. At the end, the left and right amplitudes are reported in a message box.

Specification

No precise specification is provided. A tolerance of ±1dB from the design norm is a reasonable guideline of acceptability.

Note: A 20dB imbalance between the channels is expected when an Lt/Rt downmix is performed.

Maximum Output Level Analogue domain tests


Dialog Normalization

dScope Configuration: | Dialog Normalization Track 23.dsc
Track Number: | 23
Corresponding AP Test File: | 2_dnswp.at2
.ac3 Test File: | 2_dnswp.ac3
Duration: | 60 sec
Test Signal Description: | 1kHz at 0dBFS

Description

This test ensures that dialog normalization is turned on and functioning. Dialog normalization allows the decoder to control the output level of the product based on metadata provided in the bitstream.

Method

Play Track 23 and then immediately click the [OK] button to start the test.

The test track contains a full-scale signal that is stepped down by 1dB every two seconds using Dialog Normalization attenuation. The test plots the output amplitude for both channels every 500ms for 64s, measured through a 1kHz band-pass filter.

Specification

The sweep should show that output level dropping by 1dB every 2 seconds over a 30dB range. If compression is turned on, the output level should be flat for 3 seconds before beginning to drop.

Dialog Normalization Analogue domain tests


Dynamic Range Compression

dScope Configuration: | Dynamic Range Compression 2 Ch Track 22.dsc; Dynamic Range Compression 5 Ch Track 61.dsc
Track Number: | 22 and 61
Corresponding AP Test File: | 2_comp.at22
.ac3 Test File: | 2_k5comp.ac3
Duration: | 60 sec each file
Test Signal Description: | 400Hz sweep 0dBFS to –60dBFS (–60dBFS to 0dBFS for .ac3 file) (2ch) 400Hz sweep 0dBFS to –60dBFS (5ch)

Description

This test checks for proper functionality of EUT's dynamic range control in both 2-channel and 5.1-channel modes.

Method

If the EUT offers compression ON and compression OFF modes, the test should be repeated for each mode.

Play Track 22 and immediately click the [OK] button to start the test; when prompted, play Track 61 and immediately click the [OK] button to resume.

The dScope measures the amplitude of each output channel against track time (and hence against level), using a 400Hz band-pass filter to reduce the effects of noise.

Specification

Results should be:

Track | Compression mode | Result
22 | OFF | Output decreases linearly from 0dBFS to –60dBFS.
22 | ON | Output flat (–3dBr) for 3s then decreases linearly.
61 | BOTH | Output flat for 11s then decreases linearly. May note a 20dB difference in level depending on type of downmixing in EUT.

The plots above show: (Track 22): Compression OFF; (Track 61): illustrating flat response for 11 seconds and a 20dB difference in level.

Dynamic Range Compression Analogue domain tests


Downmix

dScope Configuration: | Downmix Tracks 41 and 42.dsc
Track Number: | 41 and 42
Corresponding AP Test File: | Dwnmix2s.at2 and Dwnmix2o.at2
.ac3 Test File: | Dwnmix2s.ac3 and Dwnmix2o.ac3
Duration: | 30 sec
Test Signal Description: | 400Hz at –20dBFS (–27.66 LS & RS)

Description

This test ensures that the EUT can properly downmix a 5.1-channel bitstream into 2-channel output.

All DVD players are required to implement an Lt/Rt downmix. A Lo/Ro downmix may be provided as a user-selectable option. An Lt/Rt downmix is essentially a surround compatible stereo output (Track 42). An Lo/Ro downmix is for standard stereo output (Track 41).

Since most DVD players only support an Lt/Rt downmix, the scripted version of this test only exercises Lt/Rt mode, using Track 42.

Method

Play Track 42 and then immediately click the [OK] button to start the test.

The Dolby Digital test tracks are such that when the correct downmix is performed, the signals in the L,R,C,LS & RS channels cancel producing very little output. The dScope measures the outputs of each channel using a 400Hz band-pass filter to eliminate the effects of noise.

Specification

If the correct downmix is being performed, the output should be less than –60dBr for both channels.

Downmix Analogue domain tests


Separation

dScope Configuration: | Separation L Track 26.dsc Separation R Track 27.dsc
Track Number: | 26 and 27
Corresponding AP Test File: | 2_997L.at2 & 2_997_R.at2
.ac3 Test File: | 2_997L.ac3 & 2_997_R.ac3
Duration: | 30 sec
Test Signal Description: | 997Hz at 0dBFS (left and right)

Description

This test measures the left-to-right and right-to-left cross-talk between the EUT outputs at full-scale amplitude.

Method

Play Track 26 and then click the [OK] button to start the test; when prompted, play Track 27 and click the [OK] button to resume.

The dScope measures the amplitude of the non-driven channel, via a 997Hz band-pass filter to exclude noise, and reports the result for each channel.

Specification

No precise specification is provided. As a guide, separation should generally be better than 85dB at 997Hz.

Separation Analogue domain tests


Frequency Response

dScope Configuration: | Frequency Response Track 19.dsc
Track Number: | 19
Corresponding AP Test File: | 2_frqswp.at2
.ac3 Test File: | 2fstplr.ac3
Duration: | 60 sec
Test Signal Description: | 20Hz to 20kHz sweep at –20dBFS

Description

This test plots the frequency response of the EUT at –20dBFS.

Method

Click the [OK] button to start the test, and then play Track 19.

The dScope senses the 60 logarithmically-spaced frequencies on the test track, measures the amplitude at each (using a band-pass filter to exclude noise), and produces a plot of the results for both channels. Note that the output scale is referenced to the nominal –20dBFS level of the test stimulus.

Specification

For line outputs, the response should be within +0.5/–1dB of the 1kHz level from 20Hz to 20kHz; for headphone and speaker outputs, the response should be within +0.5/–1dB of the 1kHz level from 30Hz to 20kHz.

Frequency Response Analogue domain tests


THD vs Frequency

dScope Configuration: | THD vs Frequency Track 19.dsc
Track Number: | 19
Corresponding AP Test File: | 2_thdfreq.at2
.ac3 Test File: | 2fstplr.ac3
Duration: | 60 sec
Test Signal Description: | 20Hz to 20kHz sweep at –20dBFS

Description

This test produces a plot of the THD+N of the EUT against frequency, at 20dB below full-scale amplitude.

Method

Click the [OK] button to start the test, and then play Track 19.

The dScope senses the 60 logarithmically-spaced frequencies on the test track, measures the THD+N at each, and produces a plot of the results for both channels.

Specification

Across the frequency range, the THD+N for line outputs should be less than –60dBr and for headphone or speaker outputs, less than –57dBr.

THD vs Frequency Analogue domain tests


THD vs Level

dScope Configuration: | THD vs Track 24.dsc
Track Number: | 24
Corresponding AP Test File: | 2_thdlvl.at2
.ac3 Test File: | 2_aswp4ka.ac3
Duration: | 120 sec
Test Signal Description: | 0dBFS to –120dBFS sweep at 4kHz

Description

This test produces a plot of the THD+N of the EUT against level, from 0dBFS to –120dBFS, at 4kHz.

Method

Play Track 24 and then immediately click the [OK] button to start the test.

The dScope plots THD+N against time for both channels during the 120s of the test track; this corresponds to a sweep from 0dBFS to –120dBFS.

Specification

Across the amplitude range, the THD+N for line outputs should be less than –60dBr and for headphone or speaker outputs, less than –57dBr.

THD vs Level Analogue domain tests


Signal-to-noise

dScope Configuration: | Signal to Noise Ratio Track 13.dsc
Track Number: | 13
Corresponding AP Test File: | 2_dnr.at2
.ac3 Test File: | 2_200a60.ac3
Duration: | 60 sec
Test Signal Description: | 200Hz at –60dBFS

Description

This test measures the noise floor of the EUT relative to a notional nominal –20dBFS signal amplitude. This is done in the presence of a small signal (200Hz at –60dBFS) so that the EUT cannot mute its D/A converter.

Method

Play Track 13 and then click the [OK] button to start the test.

The dScope measures the residual amplitude of both EUT output channels, after a 200Hz notch filter, band-limited between 22Hz and 22kHz, and using a CCIR–2k weighting filter.

Note that this test is performed as a sweep against track time (even though it could actually be a single spot measurement) for consistency with the Dolby test procedure.

Specification

The signal-to-noise, relative to a –20dBFS level, for line outputs should be less than –65dBr and for headphone or speaker outputs, less than –60dBr.

Signal-to-noise Analogue domain tests


Inter-channel Phase

dScope Configuration: | Inter-channel Phase Track 19.dsc
Track Number: | 19
Corresponding AP Test File: |
.ac3 Test File: | 2fstplr.ac3
Duration: | 60 sec
Test Signal Description: | 20Hz to 20kHz sweep at –20dBFS

Description

This test measures the inter-channel phase of the EUT between 20Hz and 20kHz at –20dBFS.

Method

Click the [OK] button to start the test, and then play Track 19.

The dScope senses the 60 logarithmically-spaced frequencies on the test track, measures the inter-channel phase at each, and produces a plot of the results.

Specification

No precise specification is provided. As a guide, phase matching well within 1 degree should be preserved over the frequency range.

Inter-channel Phase Analogue domain tests


Digital domain tests

The following digital domain tests are available, and are described in the following sections:

Eye Pattern

Jitter Spectrum

Category Code

Audio/Data Bit

For each test, the appropriate Track of the Dolby Digital Test DVD is listed and also, for non-DVD player testing, the Dolby test file (.ac3).

Setting up

The digital domain tests are measured at the digital outputs of the EUT. Please make sure that the following connection has been made:

· Digital Output of the EUT to the dScope's Digital Input BNC, using the provided RCA/PHONO–BNC adapter.

Digital domain tests Dolby Digital 2-channel tests reference


Eye Pattern

dScope Configuration: | Eye Pattern Track 19.dsc
Track Number: | (any)
Corresponding AP Test File: | Digeye.at2
.ac3 Test File: | (any)
Duration: |
Test Signal Description: |

Description

This test displays the eye pattern of the EUT's digital output carrier, as an indication of whether it will be acceptable to any receiving device.

Method

Play Track 19 and then click the [OK] button to start the test.

The plot shows the best and worst-case excursions of a data cell within the IEC60958 carrier (in this case the second cell of the Channel Status bit of the B–channel, since this cell is active even if no audio is playing). The eye pattern is built up over several passes of the yellow cursor at the top of the window.

Specification

Dolby Laboratories does not provide a precise specification, however the red box on the plot shows the minimum eye region specified by the IEC60958 standard, into which the eye pattern should not transgress if reliable reception is to be guaranteed.

Eye Pattern Digital domain tests


Jitter Spectrum

dScope Configuration: | Jitter Spectrum Track 19.dsc
Track Number: | (any)
Corresponding AP Test File: | Digjitn.at2
.ac3 Test File: | (any)
Duration: |
Test Signal Description: |

Description

This test measures the worst-case peak jitter of the EUT's digital output carrier, and also displays the spectrum of the jitter. Excessive jitter can lead to the output data being irrecoverable by a receiving device. Even moderate jitter can result in degraded audio performance in a subsequent D/A converter if its design is inadequate in rejecting the incoming jitter from its sampling clock.

Method

Play Track 19 and then click the [OK] button to start the test.

The dScope can measure various types of jitter in a variety of different ways. In this case, the data jitter from the EUT's digital output carrier is demodulated and fed to the dScope's analogue Signal Analyzer. An FFT is calculated to show the spectrum of the jitter, and the peak level of the jitter is also measured.

Specification

Dolby Laboratories does not provide a precise specification, however a peak jitter limit of 0.25UI (unit intervals) is suggested in the IEC60958 standard as a worst-case specification. In general, the figure should not exceed 0.1UI.

Jitter Spectrum Digital domain tests


Category Code

dScope Configuration: | Cat Code Track 19.dsc
Track Number: | (any)
Corresponding AP Test File: | Chanstat.at2
.ac3 Test File: | (any)
Duration: |
Test Signal Description: |

Description

This test checks that the Category Code embedded in the Channel Status of the EUT's digital output carrier correctly identifies the EUT, as defined in the IEC60958 standard.

Method

Play Track 19 and then click the [OK] button to start the test.

The Category Code field of the Channel Status is read from the EUT's digital output carrier. The value is shown both as a binary value, and also decoded. The example below shows the results for DVD playback.

Note that during this test, the dScope's Digital Inputs dialogue box is open to enable the operator to note other parameters of the EUT's digital output, for example wordlength, sample rate and valid bits.

Specification

The Category Code should be correct for the Dolby Digital device being tested.

Category Code Digital domain tests


Audio/Data Bit

dScope Configuration: | Audio Data Bit Track 19.dsc
Track Number: | (any)
Corresponding AP Test File: | Chanstat.at2
.ac3 Test File: | (any)
Duration: |
Test Signal Description: |

Description

This test checks that the 'non-audio' bit embedded in the Channel Status of the EUT's digital output carrier operates correctly as defined in the IEC60958 standard.

Method

Play Track 19 and then click the [OK] button to start the test.

The 'non-audio bit' field of the Channel Status is read from the EUT's digital output carrier. The value is shown both as a binary value, and also decoded. The example below shows the results for a DVD player digital output in 'audio' (i.e. linear PCM) mode.

Note that during this test, the dScope's Digital Inputs dialogue box is open to enable the operator to note other parameters of the EUT's digital output, for example wordlength, sample rate and valid bits.

Specification

The 'non-audio' bit should be set to 0 ('audio', i.e. linear PCM) when outputting PCM, and 1 ('non-audio', or at least not linear PCM) when outputting undecoded Dolby Digital bitstreams. Note that many two-channel DVD players cannot output Dolby Digital bitstreams at their digital output, which therefore shows 'audio' (i.e. PCM) all the time.

Audio/Data Bit Digital domain tests


Glossary

The following definitions are used in the Dolby Digital test procedure and in the dScope implementation of the Dolby Digital tests:

Channel Status - status information embedded in an AES3 or S/PDIF digital interface, one bit per channel per sample-period, which accumulate into a 192-bit frame for each channel every 192 sample-periods. The frame is arbitrarily split into many fields of various lengths, with diverse functions as described in the appropriate interface standard document. The definitions of the fields and their meanings are different for 'Consumer' Channel Status (where the first bit of the frame is 0, used in S/PDIF) and 'Professional' Channel Status (where the first bit is 1, used in AES3). Originally conceived to add functionality to digital equipment interconnects, the proliferation of outputs with sloppy Channel Status implementation and inputs which mute if any unexpected Channel Status is received has led, like the Babel Fish, to much entirely unnecessary conflict.

D/A line-up - A setting of the dScope's Inputs and Outputs which relates the maximum analogue amplitude to the maximum digital amplitude. It is expressed as an analogue amplitude which corresponds to 0dBFS (full-scale digital). This feature of the dScope is especially useful in measuring EUTs with both analogue and digital ports since it allows settings or measurements in one domain to be expressed in the units of the other. For example, an A/D converter can be stimulated with a signal 1dB below that which will produce full-scale output by setting the dScope's analogue generator amplitude to –1dBFS, provided that the dScope has been set to the appropriate D/A line-up for the converter.

Data jitter - A type of interface jitter. Data jitter is that part of the interface jitter which is caused by variations in the duty cycle of the AES3 or IEC60958 carrier acting with high-frequency losses in the transmission medium (e.g. cable capacitance) such that edge timing in the carrier is modulated by the activity of the data bits. This is distinct from fs jitter, which is inherent in the carrier source. dScope can measure data jitter and fs jitter independently, so that the cause of jitter problems can be identified. Also referred to as 'inter-symbol interference'.

dBFS - A logarithmic unit used to express signal amplitude in digital and mixed-domain systems in terms of the maximum amplitude which can be accommodated by an EUT. A 0dBFS signal has the same RMS amplitude as a sine whose peaks just touch the maximum level of the system. A –6dBFS signal has half this amplitude, for example. Note that for non-sine signals such as square waves or DC it is possible for the system to accommodate amplitudes greater than 0dBFS. In the dScope it is possible to specify or measure analogue signal amplitudes in dBFS, in which case the D/A line-up is used as a reference.

EUT - 'Equipment under test'.

Eye-diagram - The AES3 and IEC60958 standards define acceptable carrier degradation in terms of amplitude and edge-timing using an eye-diagram, which shows the minimum acceptable differential carrier amplitude over a defined period within 1 UI of the carrier. This can be verified on the dScope using the Carrier Display feature.

Eye-narrowing - The dScope can measure the worst-case narrowing of the eye of an AES3 or IEC60958 carrier. This is essentially a measurement of data jitter, and can be referred to the eye-diagram in the AES3 or IEC60958 standards.

Folding frequency - Half the sample rate of the EUT. Input frequencies above the folding frequency are subject to aliasing. Where an EUT applies internal down-sampling, the folding frequency is half of the lowest internal sample rate employed.

fs - Abbreviation for sample rate.

FS - Full-scale amplitude.

Full-scale amplitude - A signal whose amplitude is the maximum which can be accommodated by the EUT. In the case of a sine, this amplitude is 0dBFS.

IEC60958 - A two-channel digital audio interface standard, as provided at the dScope's Digital Output and Input. Also known as S/PDIF this format is used in consumer applications usually with an unbalanced phono/RCA copper or TOSLINK optical connection. It carries audio wordlengths up to 24 bits, plus Valid bit, User bit, Channel Status and Parity bit per channel.

IMD - Intermodulation Distortion. When a signal consists of more than one frequency, a non-linear device under test will produce the original frequencies plus an infinite number of IMD products, given by

(a * F1) + (b * F2) + (c * F3) + ...

where (a, b, c) etc. are all possible integer numbers, and (F1, F2, F3) etc. are the frequencies of the original tones.

Jitter - Variation in edge-timing of a clock. In audio systems, manifestations are interface jitter and sampling jitter.

S/PDIF - IEC60958.

UI - (Unit Interval). A UI of an AES3 or IEC60958 carrier is 1/128 of the frame period, the duration of a single biphase-mark 'cell', or half a bit period.

Glossary Dolby Digital 2ch


Noise Modulation

dScope Configuration: | Noise Modulation Track 25.dsc
Track Number: | 25
Corresponding AP Test File: | 2_nmod.at2
.ac3 Test File: | 2_nmod.ac3
Duration: | 120 sec
Test Signal Description: | 0 to –120dBFS sweep at 41Hz

Description

This test looks for modulation of the noise floor at 4kHz (using a 4kHz band-pass filter).

This is not a requirement for Dolby Digital, however it is a legacy test, which may be of interest.

Method

Play the title and then start the sweep.

If not prompted to save, right-click on the graphs to select "Export graph in Enhanced Metafile (.emf) format".

Specification

None. A Reference Level of around 2V RMS might be typical for an unbalanced consumer output.

Noise Modulation Analogue domain tests


dScope Configurations

Ref Level Track 8.dsc

Max Output Level Track 72.dsc

Dialog Normalization Track 23.dsc

Dynamic Range Compression 2 Ch Track 22.dsc

Dynamic Range Compression 5 Ch Track 61.dsc

DownMix Tracks 41 and 42.dsc

Separation L Track 26.dsc

Separation R Track 27.dsc

Frequency Response Track 19.dsc

THD vs Frequency Track 19.dsc

THD vs Level Track 24.dsc

Signal to Noise Ratio Track 13.dsc

Inter-channel Phase Track 19.dsc

Eye Pattern Track 19.dsc

Jitter Spectrum Track 19.dsc

Category Code Track 19.dsc

Audio Data Bit Track 19.dsc

dScope Configurations Dolby Digital 2ch